jif.ast

## Class AmbProviderLabelNode_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - jif.ast.LabelNode_c
    - - jif.ast.AmbLabelNode_c
      - - jif.ast.AmbProviderLabelNode_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ActsForParamNode<Label>, AmbProviderLabelNode, LabelComponentNode, LabelNode, ParamNode, polyglot.ast.Ambiguous, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.Node>

      public class AmbProviderLabelNode_c
      extends AmbLabelNode_c
      implements AmbProviderLabelNode

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmbProviderLabelNode_c(polyglot.util.Position pos, polyglot.ast.TypeNode typeNode)`
    `AmbProviderLabelNode_c(polyglot.util.Position pos, polyglot.ast.TypeNode typeNode, polyglot.ast.Ext ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)` Disambiguate the type of this node.
    `void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `protected <N extends AmbProviderLabelNode_c> N` | `reconstruct(N n, polyglot.ast.TypeNode typeNode)`
    `java.lang.String` | `toString()`
    `protected <N extends AmbProviderLabelNode_c> N` | `typeNode(N n, polyglot.ast.TypeNode typeNode)`
    `polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

    - ### Methods inherited from class jif.ast.AmbLabelNode_c

      `isDisambiguated`

    - ### Methods inherited from class jif.ast.LabelNode_c

      `dump, label, label, parameter, parameter, translate`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, copyIfNeeded, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheck, exceptionCheckEnter, ext, ext, ext, ext, extRewrite, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.ast.LabelNode

      `label, label`

    - ### Methods inherited from interface jif.ast.ActsForParamNode

      `parameter, parameter`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### AmbProviderLabelNode_c

          public AmbProviderLabelNode_c(polyglot.util.Position pos,
                                        polyglot.ast.TypeNode typeNode)

    - #### AmbProviderLabelNode_c

          public AmbProviderLabelNode_c(polyglot.util.Position pos,
                                        polyglot.ast.TypeNode typeNode,
                                        polyglot.ast.Ext ext)

  - ### Method Detail

    - #### typeNode

          protected <N extends AmbProviderLabelNode_c> N typeNode(N n,
                                                                  polyglot.ast.TypeNode typeNode)

    - #### disambiguate

          public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                         throws polyglot.types.SemanticException

      Description copied from class: `AmbLabelNode_c`
      Disambiguate the type of this node.
      Specified by:
        `disambiguate` in interface `polyglot.ast.NodeOps`
      Specified by:
        `disambiguate` in class `AmbLabelNode_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `LabelNode_c`

    - #### prettyPrint

          public void prettyPrint(polyglot.util.CodeWriter w,
                                  polyglot.visit.PrettyPrinter tr)

      Specified by:
        `prettyPrint` in interface `polyglot.ast.NodeOps`
      Overrides:
        `prettyPrint` in class `LabelNode_c`

    - #### visitChildren

          public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

      Specified by:
        `visitChildren` in interface `polyglot.ast.NodeOps`
      Overrides:
        `visitChildren` in class `polyglot.ast.Node_c`

    - #### reconstruct

          protected <N extends AmbProviderLabelNode_c> N reconstruct(N n,
                                                                     polyglot.ast.TypeNode typeNode)